package md

type HomePageResp struct {
	IsSign              bool   `json:"is_sign"`                // 是否完成签到
	SignEndTime         string `json:"sign_end_time"`          // 签到截止时间
	TotalEggEnergy      string `json:"total_egg_energy"`       // 总蛋蛋能量
	SignRewardEggEnergy string `json:"sign_reward_egg_energy"` // 签到奖励蛋蛋能量/秒
	TotalActivePoints   string `json:"total_active_points"`    // 总活跃积分
	EggEnergyNowPrice   string `json:"egg_energy_now_price"`   // 蛋蛋能量当前价格
	InitialPrice        string `json:"initial_price"`          // 蛋蛋能量初始价格
	IsRises             bool   `json:"is_rises"`               // 是否涨价
	Rises               string `json:"rises"`                  // 涨/跌价百分比
	NowBasalRate        string `json:"now_basal_rate"`         // 当前基础速率/小时
	NowTeamRate         string `json:"now_team_rate"`          // 当前团队速率/小时
	UserCount           int64  `json:"user_count"`             // 当前用户数量
	NickName            string `json:"nick_name"`              // 用户名称
}

type HomePageWatchAdRuleResp struct {
	RewardValue     string `json:"reward_value"`     //奖励X个活跃积分
	RewardTotalNum  string `json:"reward_total_num"` //一共X个奖励视屏
	IntervalMinutes string `json:"interval_minutes"` //间隔X秒
	EachRoundHour   string `json:"each_round_hour"`  //每一轮X个小时
}

type RealTimePriceResp struct {
	UserCount string `json:"user_count"`
	NowPrice  string `json:"now_price"`
	IsRises   bool   `json:"is_rises"`
	Rises     string `json:"rises"`
}

type IsCanSignInResp struct {
	IsCan bool `json:"is_can_sign_in"`
}

type IsCanGetRedPackageResp struct {
	IsCan bool `json:"is_can_get_red_package"`
}
